# Journal de Bord
## Introduction
Ce journal de bord contient les notes et les observations pendant la durée du MOOC.
## [9/13/2024]

- **Ce que j'ai appris aujourd'hui :**
  - **Fonctionnalité de recherche dans GitLab :** 
    - J'ai appris à utiliser la fonction de recherche de GitLab pour trouver des chaînes de caractères dans un dépôt. Cela m'a permis de localiser des fichiers spécifiques et des modifications dans le projet. J'ai utilisé cette fonctionnalité pour rechercher et identifier des fichiers contenant une chaîne de texte précise.
  
  - **Gestion de l'historique des versions avec GitLab :**
    - J'ai exploré comment utiliser les fonctions "blame" et "history" dans GitLab pour retracer les modifications apportées à un fichier spécifique. J'ai trouvé l'engagement qui a ajouté le titre "Helloworld Python" au fichier `module1/exo2/readme.md`.

  - **Création et gestion de fichiers Markdown :**
    - J'ai appris à créer un fichier Markdown dans GitLab, en ajoutant des titres, des listes, et des blocs de code. J'ai utilisé des balises Markdown pour structurer et formater le contenu du fichier.

  - **Utilisation de GitLab pour la gestion des journaux de bord :**
    - J'ai commencé à créer un journal de bord pour documenter mes apprentissages et mes observations au fur et à mesure de l'avancement du MOOC. J'ai compris l'importance de sauvegarder et de commettre régulièrement les modifications.

- **Références utiles :**
  - [Documentation GitLab](https://docs.gitlab.com)
  - [Guide Markdown](https://www.markdownguide.org/basic-syntax/)

- **Données quotidiennes :**
  - Temps passé sur les cours : 2 heures
  - Autres observations : La fonctionnalité de recherche de GitLab est très utile pour gérer des projets complexes avec de nombreux fichiers. La création d’un journal de bord en Markdown est une bonne pratique pour suivre et structurer les informations apprises.
